// Machine generated C++ stub file (.cpp) for remote object MyService
// Created on : 03/22/2010 00:12:45

#ifdef WIN32
#include <windows.h>
#endif
#include <winscard.h>
#include "MyService.h"

using namespace std;
using namespace Marshaller;


// Constructors
MyService::MyService(string* uri) : SmartCardMarshaller(NULL, 0, uri, (u4)0x5865A1, (u2)0x09A7, 0) { return; }
MyService::MyService(string* uri, u4 index) : SmartCardMarshaller(NULL, 0, uri, (u4)0x5865A1, (u2)0x09A7, index) { return; }
MyService::MyService(u2 portNumber, string* uri) : SmartCardMarshaller(NULL, portNumber, uri, (u4)0x5865A1, (u2)0x09A7, 0) { return; }
MyService::MyService(u2 portNumber, string* uri, u4 index) : SmartCardMarshaller(NULL, portNumber, uri, (u4)0x5865A1, (u2)0x09A7, index) { return; }
MyService::MyService(string* readerName, string* uri) : SmartCardMarshaller(readerName, 0, uri, (u4)0x5865A1, (u2)0x09A7, 0) { return; }
MyService::MyService(string* readerName, u2 portNumber, string* uri) : SmartCardMarshaller(readerName, portNumber, uri, (u4)0x5865A1, (u2)0x09A7, 0) { return; }
MyService::MyService(SCARDHANDLE cardHandle, string* uri) : SmartCardMarshaller(cardHandle, 0, uri, (u4)0x5865A1, (u2)0x09A7) { return; }
MyService::MyService(SCARDHANDLE cardHandle, u2 portNumber, string* uri) : SmartCardMarshaller(cardHandle, portNumber, uri, (u4)0x5865A1, (u2)0x09A7) { return; }

// Pre-defined methods
std::string* MyService::GetReader(void){return GetReaderName();}

// Exposed methods

string* MyService::MySampleMethod(){
	string* _string = NULL;
	Invoke(0, 0xEEDF, MARSHALLER_TYPE_RET_STRING, &_string);
	return _string;
}



